# coding: utf-8

"""
    PeerTube

    # Introduction  The PeerTube API is built on HTTP(S). Our API is RESTful. It has predictable resource URLs. It returns HTTP response codes to indicate errors. It also accepts and returns JSON in the HTTP body. You can use your favorite HTTP/REST library for your programming language to use PeerTube. No official SDK is currently provided, but the spec API is fully compatible with [openapi-generator](https://github.com/OpenAPITools/openapi-generator/wiki/API-client-generator-HOWTO) which generates a client SDK in the language of your choice.  # Authentication  When you sign up for an account, you are given the possibility to generate sessions, and authenticate using this session token. One session token can currently be used at a time.  # Errors  The API uses standard HTTP status codes to indicate the success or failure of the API call. The body of the response will be JSON in the following format.  ``` {   \"code\": \"unauthorized_request\", // example inner error code   \"error\": \"Token is invalid.\" // example exposed error message } ```   # noqa: E501

    The version of the OpenAPI document: 2.0.0
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import unittest

import peertube
from peertube.api.video_api import VideoApi  # noqa: E501
from peertube.rest import ApiException


class TestVideoApi(unittest.TestCase):
    """VideoApi unit test stubs"""

    def setUp(self):
        self.api = peertube.api.video_api.VideoApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_accounts_name_videos_get(self):
        """Test case for accounts_name_videos_get

        Get videos for an account, provided the name of that account  # noqa: E501
        """
        pass

    def test_video_channels_channel_handle_videos_get(self):
        """Test case for video_channels_channel_handle_videos_get

        Get videos of a video channel by its id  # noqa: E501
        """
        pass

    def test_videos_categories_get(self):
        """Test case for videos_categories_get

        Get list of video categories known by the server  # noqa: E501
        """
        pass

    def test_videos_get(self):
        """Test case for videos_get

        Get list of videos  # noqa: E501
        """
        pass

    def test_videos_id_delete(self):
        """Test case for videos_id_delete

        Delete a video by its id  # noqa: E501
        """
        pass

    def test_videos_id_description_get(self):
        """Test case for videos_id_description_get

        Get a video description by its id  # noqa: E501
        """
        pass

    def test_videos_id_get(self):
        """Test case for videos_id_get

        Get a video by its id  # noqa: E501
        """
        pass

    def test_videos_id_give_ownership_post(self):
        """Test case for videos_id_give_ownership_post

        Request change of ownership for a video you own, by its id  # noqa: E501
        """
        pass

    def test_videos_id_put(self):
        """Test case for videos_id_put

        Update metadata for a video by its id  # noqa: E501
        """
        pass

    def test_videos_id_views_post(self):
        """Test case for videos_id_views_post

        Add a view to the video by its id  # noqa: E501
        """
        pass

    def test_videos_id_watching_put(self):
        """Test case for videos_id_watching_put

        Set watching progress of a video by its id for a user  # noqa: E501
        """
        pass

    def test_videos_imports_post(self):
        """Test case for videos_imports_post

        Import a torrent or magnetURI or HTTP resource (if enabled by the instance administrator)  # noqa: E501
        """
        pass

    def test_videos_languages_get(self):
        """Test case for videos_languages_get

        Get list of languages known by the server  # noqa: E501
        """
        pass

    def test_videos_licences_get(self):
        """Test case for videos_licences_get

        Get list of video licences known by the server  # noqa: E501
        """
        pass

    def test_videos_ownership_get(self):
        """Test case for videos_ownership_get

        Get list of video ownership changes requests  # noqa: E501
        """
        pass

    def test_videos_ownership_id_accept_post(self):
        """Test case for videos_ownership_id_accept_post

        Refuse ownership change request for video by its id  # noqa: E501
        """
        pass

    def test_videos_ownership_id_refuse_post(self):
        """Test case for videos_ownership_id_refuse_post

        Accept ownership change request for video by its id  # noqa: E501
        """
        pass

    def test_videos_privacies_get(self):
        """Test case for videos_privacies_get

        Get list of privacy policies supported by the server  # noqa: E501
        """
        pass

    def test_videos_upload_post(self):
        """Test case for videos_upload_post

        Upload a video file with its metadata  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
